  <form [formGroup]="loginForm" (ngSubmit)="signIn()">
    <div class="row mb-3">
      <label for="authLogin" class="col-sm-2 col-form-label">Login</label>
      <div class="col-sm-10">
        <input type="email" class="form-control" id="authLogin" formControlName="login" placeholder="your email...." required>
        <div class="invalid-feedback"
             *ngIf="(!login?.valid && login?.touched)" >
          Invalid E-mail address.
        </div>
      </div>
    </div>
    <div class="row mb-3">
      <label for="authPassword" class="col-sm-2 col-form-label">Password</label>
      <div class="col-sm-10">
        <input type="password" class="form-control" id="authPassword" formControlName="password" placeholder="********" required>
        <div class="invalid-feedback" *ngIf="(!password?.valid && password?.touched)">
          Please enter your password.
        </div>
      </div>
    </div>
    <button type="submit" class="btn btn-primary w-100">Sign In</button>
  </form>
